Project

General

Profile

Bug #15767

quick-mrb-start.sh uses the default qualifiers from the latest product_deps rather than the tagged version

Added by Kurt Biery over 3 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Known Issues
Target version:
Start date:
03/07/2017
Due date:
% Done:

0%

Estimated time:
Co-Assignees:
Duration:

Description

I tried running quick-mrb-start.sh recently, and it failed because the qualifier combination that it was trying to use (e14, s46) did not have a bundle defined on SciSoft.

I was running quick-mrb-start.sh without any arguments, so I expected it to pick up the latest tagged version of the artdaq-demo. It did that, but unfortunately, it was using the latest version of the product_deps file on the "develop" branch to determine the default qualifiers. And, since the product_deps file had been modified on the develop branch, there was a mismatch on what was tagged/support and what was attempted.

History

#1 Updated by Kurt Biery over 3 years ago

  • Status changed from New to Assigned
  • Assignee set to Kurt Biery

#2 Updated by Kurt Biery over 3 years ago

  • Status changed from Assigned to Resolved
I modified the script to
  1. check whether the --tag and --develop options were both specified, and complain if so
  2. pull the product_deps file a second time, if a tagged version of the artdaq_demo was requested by the user (either explicitly or by not specifying --develop)

#3 Updated by Eric Flumerfelt over 3 years ago

  • Category set to Known Issues
  • Status changed from Resolved to Closed
  • Target version changed from artdaq-demo Next Release to artdaq-demo v2_09_02


Also available in: Atom PDF